package orchid.gui;



/**
 * A class used to initialize and visualize data for Rendez-vous. <BR>
 * @see JTable
 */

import javax.swing.JTable;
import javax.swing.JScrollPane;

public class TableWork  {

 public JTable init () {
 Object[][] data = {
            {"8h00", "Salvy","Yes"},{"8h30", "Souliez","Yes"},
            {"9h00", "Darche","Yes"},{"9h30", "Pierre","Yes"},
            {"10h00", "Salvy","Yes"},{"10h30", "Souliez","Yes"},
            {"11h00", "Marco","Yes"},{"11h30", "Salvy","Yes"},
            {"12h00", "Pierre","Yes"},{"12h30", "Marco","Yes"},
            {"13h00", "Souliez","Yes"},{"13h30", "Salvy","Yes"},
            {"14h00", "Marco","Yes"},{"14h30", "Darche","Yes"},
            {"15h00", "Pierre","Yes"},{"15h30", "Salvy","Yes"},
            {"16h00", "Marco","Yes"},{"16h30", "Pierre","Yes"},
            {"17h00", "Salvy","Yes"},{"17h30", "Marco","Yes"},
            {"18h00", "Pierre","Yes"},{"18h30", "Salvy","Yes"},
            {"19h00", "Marco","Yes"},{"19h30", "Pierre","Yes"},
            {"20h00", "Souliez","Yes"},{"20h30", "Marco","Yes"},
            {"21h00", "Souliez","Yes"},{"21h30", "Marco","Yes"},

        };

 String[] columnNames = {"Time","Subject","Initiator"};
 JTable table=new JTable(data, columnNames);

 return( table);
 }

 public void printDebugData(JTable table) {
  int numRows = table.getSelectedRow();
  int numCols = table.getColumnCount();
  javax.swing.table.TableModel model = table.getModel();

  System.out.println("Value of data: ");

  for (int j=0; j < numCols; j++) {
   System.out.print("  " + model.getValueAt(numRows,j));
  }
  System.out.println();
  System.out.println("--------------------------");
 }
}
