package orchid.agent;

import orchid.server.*;
import orchid.object.*;

import java.util.Vector;
import java.util.Date;

public interface ISaa
	{
		public void live();
		public void saaDisconnect();
		public void saaStop();

		public void createSubspace(String spacename, Vector proxynamelist);
		public void logMessg(String purpose, String identity, String msgtodisp);

		public String getAuthentication(String username, String password);

		public Vector getServers(String filter);
		public void addServer(ServerInfo servercard);
		public void removeServer(ServerInfo servercard);

		public Vector getAgents(String filter);
		public void addAgent(AgentInfo agentinfo);
		public void removeAgent(AgentInfo agentinfo);

		public Vector getMeetings(String username, Date beginning, Date end);
		public void addMeeting(String username, Meeting m);

		public String getMALocation(String Identificator);

		public void setConnection(ServerInfo server, boolean connecting);
	}
