
package orchid.object;

/**
 * A class used to store information about agents.<P>
 * @author Marc-Aurle DARCHE
 */
public class AgentInfo implements java.io.Serializable{
	private String name;
	private String owner;
	private String home;
	private String currentlocation;
	private boolean frozen;

	public AgentInfo(String name, String owner, String home, String currentlocation, boolean frozen){
		this.name=name;
		this.owner=owner;
		this.home=home;
		this.currentlocation=currentlocation;
		this.frozen=frozen;
	}

	public String getName(){
		return name;
	}

	public String getOwner(){
		return owner;
	}

	public String getHome(){
		return home;
	}

	public String getCurrentlocation(){
		return currentlocation;
	}

	public boolean getFrozen(){
		return frozen;
	}

	public void setCurrentlocation(String currentlocation){
		this.currentlocation=currentlocation;
	}

	public void setFrozen(boolean frozen){
		this.frozen=frozen;
	}

	public String toString(){
		return name+" "+owner+" "+home+" "+currentlocation+" "+frozen;
	}
}

